Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf.idpdisco
Interface UIInfo

All Superinterfaces:
  org.opensaml.common.SAMLObject, org.opensaml.xml.validation.ValidatingXMLObject, org.opensaml.xml.XMLObject

All Known Implementing Classes:
  UIInfoImpl

    public interface UIInfo

extends org.opensaml.common.SAMLObject

See IdP Discovery and Login UI Metadata Extension Profile.

Field Summary
`static String` | `DEFAULT_ELEMENT_LOCAL_NAME` Name of the element inside the Extensions.
`static QName` | `DEFAULT_ELEMENT_NAME` Default element name.
`static String` | `LANG_ATTRIB_NAME` Language attribute name.
`static String` | `MDUI_NS` Namespace for Discovery Service metadata extensions.
`static String` | `MDUI_PREFIX` Default namespace prefix used by this library.

Method Summary
`List<Description>` | `getDescriptions()` Return the descriptions.
`List<DisplayName>` | `getDisplayNames()` Get the Display Names The element specifies a set of localized names fit for display to users.
`List<InformationURL>` | `getInformationURLs()` Get the URLs.
`List<Logo>` | `getLogos()` Get the logos.
`List<PrivacyStatementURL>` | `getPrivacyStatementURLs()` Get the Privacy Statement URLs.

Methods inherited from interface org.opensaml.xml.validation.ValidatingXMLObject
`deregisterValidator, getValidators, registerValidator, validate`

Methods inherited from interface org.opensaml.xml.XMLObject
`addNamespace, detach, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, removeNamespace, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

Field Detail

### MDUI_NS

    static final String MDUI_NS

  Namespace for Discovery Service metadata extensions.

  See Also:
    Constant Field Values

### MDUI_PREFIX

    static final String MDUI_PREFIX

  Default namespace prefix used by this library.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_LOCAL_NAME

    static final String DEFAULT_ELEMENT_LOCAL_NAME

  Name of the element inside the Extensions.

  See Also:
    Constant Field Values

### DEFAULT_ELEMENT_NAME

    static final QName DEFAULT_ELEMENT_NAME

  Default element name.

### LANG_ATTRIB_NAME

    static final String LANG_ATTRIB_NAME

  Language attribute name.

  See Also:
    Constant Field Values

Method Detail

### getDisplayNames

    List<DisplayName> getDisplayNames()

  Get the Display Names The element specifies a set of localized names fit for display to users. Such names are meant to allow a user to distinguish and identify the entity acting in a particular role.

  Returns:
    the names

### getDescriptions

    List<Description> getDescriptions()

  Return the descriptions. The element specifies a set of brief, localized descriptions fit for display to users. In the case of service providers this SHOULD be a description of the service being offered. In the case of an identity provider this SHOULD be a description of the community serviced. In all cases this text SHOULD be standalone, meaning it is not meant to be filled in to some template text (e.g. 'This service offers $description').

  Returns:
    descriptions

### getLogos

    List<Logo> getLogos()

  Get the logos. The element specifies a set of localized logos fit for display to users.

  Returns:
    a list of logos

### getInformationURLs

    List<InformationURL> getInformationURLs()

  Get the URLs. The specifies URLs to localized information, about the entity acting in a given role, meant to be viewed by users. The contents found at these URLs SHOULD give a more complete set of information about than what is provided by the element

  Returns:
    the URLs

### getPrivacyStatementURLs

    List<PrivacyStatementURL> getPrivacyStatementURLs()

  Get the Privacy Statement URLs. The specifies URLs to localized privacy statements. Such statements are meant to provide a user with information about how information will be used and managed by the entity

  Returns:
    the URLs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.